org.apache.tapestry5.internal.transform

## Class InjectWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.InjectWorker

- All Implemented Interfaces:
    ComponentClassTransformWorker2

      public class InjectWorker
      extends Object
      implements ComponentClassTransformWorker2

  Performs injection triggered by any field annotated with the `Inject` annotation or the `Inject` annotation. The implementation of this worker mostly delegates to a chain of command of `InjectionProvider2`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectWorker(ObjectLocator locator, InjectionProvider2 injectionProvider, OperationTracker tracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectWorker

          public InjectWorker(ObjectLocator locator,
                              InjectionProvider2 injectionProvider,
                              OperationTracker tracker)

  - ### Method Detail

    - #### transform

          public void transform(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.